gnutls_dh_get_peers_public_bits(3)

NAME
gnutls_dh_get_peers_public_bits - return the bits used in DH authentication

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_dh_get_peers_public_bits(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

DESCRIPTION
Get the Diffie-Hellman public key bit size. Can be used for both anonymous and ephemeral diffie Hellman.

RETURNS
the public key bit size used in the last Diffie Hellman authentication with the peer, or a negative value in case of error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.